#include <bits/stdc++.h>
using namespace std;
vector<int> solve(vector<int> A){
    vector<int> perm;
    int n = A.size();
    vector<int> ans;
    for(int i=0; i<n-1; i++){
        ans.push_back(i);
    }
    ans.push_back(n-1);
    return ans;
}
/*int main () {
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int t;
    cin >> t ;
    for (int test=1; test<=t; test++) {
        int n;
        cin >> n ;
        vector <int> a(n);
        for (int i=0; i<n; i++) {
            cin >> a[i] ;
        }

        for (auto ind : solve(a)) {
            cout << ind << " ";
        }
        cout << endl ;
    }
    cout << endl ;
    return 0;
}*/
